package market.Cm.mapper;
import java.util.List;

import market.Cm.vo.CmReportProdDetail;

import com.hnshituo.orm.GenericMapper;

public interface CmReportProdDetailMapper extends GenericMapper<CmReportProdDetail,Object> {
	
	// 根据组织，业务类型，查询本期
	public List<CmReportProdDetail> doQuaryCmReportProdDetailGbOrg(CmReportProdDetail rpd);
	
	// 根据组织，业务类型，查询本年累计
	public List<CmReportProdDetail> doQueryTotalCostAcmProdGBOrg(CmReportProdDetail rpd);
	
	public CmReportProdDetail doQuarySumWeightCRPD(CmReportProdDetail rpd);
		
	public void doDeleteCmReportProdDetail(CmReportProdDetail crpd);
	
	public List<CmReportProdDetail> doQuaryCrpdForCrpc(CmReportProdDetail crpd);
	
	//归集材料成本统计：本期
	public List<CmReportProdDetail> doQuaryCrpdForCrpm(CmReportProdDetail crpd);
	//归集材料成本统计：本年累计
	public List<CmReportProdDetail> doQuaryTotalCrpdForCrpm(CmReportProdDetail crpd);	
	//归集材料成本统计：本期(根据成本组织)
	public List<CmReportProdDetail> doQuaryOrgCrpdForCrpm(CmReportProdDetail crpd);
	//归集材料成本统计：本年累计(根据成本组织)
	public List<CmReportProdDetail> doQuaryTotalOrgCrpdForCrpm(CmReportProdDetail crpd);
		
}
